version: "3"
services:
  core:
    hostname: squiz-core
    container_name: squiz-core
    image: $CI_REGISTRY_IMAGE/main-core:$CI_COMMIT_REF_SLUG.$CI_PIPELINE_ID
    tty: true
    environment:
      HUB_ADMIN_URL: 'http://10.8.0.8:59303'
      IS_PROD_LOG: 'false'
      IS_PROD: 'false'
      PORT: 1488
      PUBLIC_ACCESS_SECRET_KEY: $JWT_PUBLIC_KEY
      PG_CRED: 'host=10.8.0.9 port=5433 user=squiz password=Redalert2 dbname=squiz sslmode=disable'
      AUTH_URL: 'http://10.8.0.8:59300/user'
      PUBLIC_KEY: $PEM_PUB_USERID
      PRIVATE_KEY: $PEM_PRIV_USERID
      REDIRECT_URL: 'https://quiz.pena.digital'
      KAFKA_BROKERS: 10.8.0.6:9092
      KAFKA_TOPIC: "mailnotifier"
      GRPC_HOST: "0.0.0.0"
      TRASH_LOG_HOST: "10.8.0.15:7113"
      MODULE_LOGGER: "quiz-core-main"
      CLICK_HOUSE_CRED: "clickhouse://10.8.0.15:9000/default?sslmode=disable"
      S3_PREFIX: "https://s3.timeweb.cloud/3c580be9-cf31f296-d055-49cf-b39e-30c7959dc17b/squizimages/"
    ports: 
      - 10.8.0.9:1488:1488
      - 10.8.0.9:9000:9000
